
CREATE TABLE [dbo].[MIG_EO_RT_CUR_STP](
	[ZZ_ID] [int] NOT NULL,
	[EO_ID] [varchar](30) NOT NULL,
	[ROUTE_ID] [varchar](30) NOT NULL,
	[STEP_ID] [varchar](15) NOT NULL,
	[THREAD_ID] [varchar](10) NOT NULL,
	[INSTR_ID] [varchar](6) NOT NULL,
	[NETNODE_KEY] [varchar](15) NOT NULL,
	[PSTATE] [smallint] NOT NULL,
	[STATUS] [smallint] NOT NULL,
	[UPDATED_ON] [datetime2](7) NOT NULL,
 CONSTRAINT [PK_MIG_EO_RT_CUR_STP_IDX] PRIMARY KEY CLUSTERED 
(
	[ZZ_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


CREATE UNIQUE NONCLUSTERED INDEX [PK_MIG_EO_RT_CUR_STP_IDX1] ON [dbo].[MIG_EO_RT_CUR_STP]
(
	[EO_ID] ASC,
	[ROUTE_ID] ASC,
	[STEP_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [PK_MIG_EO_RT_CUR_STP_IDX2] ON [dbo].[MIG_EO_RT_CUR_STP]
(
	[EO_ID] ASC,
	[ROUTE_ID] ASC,
	[PSTATE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [PK_MIG_EO_RT_CUR_STP_IDX3] ON [dbo].[MIG_EO_RT_CUR_STP]
(
	[PSTATE] ASC,
	[STATUS] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
